Page MenuHomeFreeBSD

graphics/mesa-dri: update to 18.2.8
ClosedPublic

Authored by jbeich on Aug 2 2018, 6:00 PM.

Details

Reviewers
None
Group Reviewers
x11
Commits
rP490569: graphics/mesa-{libs,dri}: update to 18.2.8
Summary
Test Plan
  • poudriere bulk -t is green on 10.4 i386/amd64, 11.2 i386/amd64/aarch64/armv6, 12.0 i386/amd64/aarch64/armv6/armv7
  • bug 230298 for feedback, coordination and regressions
  • call for testing

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Oops, RC2 broke build on FreeBSD < 12.0 (rS303524):

tools/error2aub.c:213:11: error: implicit declaration of function 'getline' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
   while (getline(&line, &line_size, err_file) > 0) {
          ^
jbeich updated this revision to Diff 46512.EditedAug 10 2018, 1:41 PM
  • Unbreak build on FreeBSD < 12
  • Phase out getline workaround on FreeBSD >= 12 (see rS303524)
  • Phase out Elf_Nhdr workaround on FreeBSD >= 12 (see rS328137)
jbeich updated this revision to Diff 46735.Aug 15 2018, 8:11 PM
  • Update to RC3
jbeich updated this revision to Diff 47008.Aug 20 2018, 11:40 PM
jbeich updated this revision to Diff 47115.Aug 22 2018, 5:40 PM
  • Update to RC4
jbeich updated this revision to Diff 47475.Aug 30 2018, 7:20 AM
  • Update to RC5
jbeich updated this revision to Diff 47715.Sep 6 2018, 1:05 AM
  • Update to RC6 (probably, final one)
jbeich updated this revision to Diff 47802.Sep 7 2018, 11:24 PM
jbeich set the repository for this revision to rP FreeBSD ports repository.Sep 9 2018, 6:32 PM
jbeich updated this revision to Diff 47856.Sep 10 2018, 12:11 PM
jmd added a subscriber: jmd.Sep 11 2018, 12:45 AM

What GPUs did you test this on? Which architectures? With which DRM? Did you try OpenCL kernels on AMD hardware as this updates lang/clover?

jbeich added a comment.EditedSep 12 2018, 1:32 PM

I've posted CFT to get more testing.

In D16571#364874, @jmd wrote:

What GPUs did you test this on?

Skylake GT2 with i965 (DRI3), anv (root hack) and llvmpipe (llvm70).

Which architectures?

12.0 amd64 (host) and 10.4 i386 (jail).

With which DRM?

drm-stable-kmod. Newer versions have issues with VAAPI, Vulkan and intel DDX.

Did you try OpenCL kernels on AMD hardware as this updates lang/clover?

No hardware. Do x11 peers test Clover on every Mesa update?

jbeich updated this revision to Diff 47954.Sep 12 2018, 3:19 PM

Hi!
Can you please explain the patches to me a little? Especially the configure patch.
Are these (all of them) patches that should be upstreamed, or have they already been?

  • files/patch-src_intel_tools_aubinator.c is just a copypasta from another patch under files/. Greg V tried to upstream a better (but more invasive) version the logic but the review got stalled. If we're gonna switch to Greg's version it should be maintained as a single patchfile in order to simplify rebases and may require switching to USES=autoreconf in order to avoid patching configure/Makefile.in (not sure how bad it'd be).
  • files/patch-src_intel_tools_aubinatorerrordecode.c, files/patch-src_intel_tools_error2aub.c, files/patch-src_util_build__id.c are explained in D16571#354016.
  • files/patch-configure is required to avoid having to add new dependencies to mesa-libs/libosmesa/clover which don't build Vulkan drivers. Upstream got the logic order wrong but my hack isn't much better.
  • pkg-help is simply updated to the current status as DRM-next branch is no longer recommended/maintained unlike drm-*-kmod ports.

Did I miss anything?

jbeich updated this revision to Diff 48320.Sep 21 2018, 4:39 PM
  • Adapt to wayland>=1.15 and drop WAYLAND_BROKEN
  • Exclude drm-legacy-kmod by simplifying wording even more
jbeich updated this revision to Diff 48335.Sep 21 2018, 10:44 PM
jbeich updated this revision to Diff 48575.Sep 29 2018, 7:44 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.0 to graphics/mesa-dri: update to 18.2.1.Sep 29 2018, 7:48 PM
jbeich updated this revision to Diff 48783.Oct 5 2018, 2:21 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.1 to graphics/mesa-dri: update to 18.2.2.
jbeich edited the test plan for this revision. (Show Details)
jbeich edited the test plan for this revision. (Show Details)Oct 5 2018, 3:48 PM
jbeich updated this revision to Diff 49318.Oct 19 2018, 7:00 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.2 to graphics/mesa-dri: update to 18.2.3.
jbeich updated this revision to Diff 49845.Oct 31 2018, 9:06 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.3 to graphics/mesa-dri: update to 18.2.4.
jbeich updated this revision to Diff 50285.Nov 11 2018, 4:15 PM
jbeich updated this revision to Diff 50325.Nov 12 2018, 5:12 PM
  • Rebase after rP484788
  • Simplify WAYLAND dependency
jbeich updated this revision to Diff 50454.Nov 15 2018, 6:33 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.4 to graphics/mesa-dri: update to 18.2.5.
jbeich updated this revision to Diff 51303.Nov 28 2018, 10:22 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.5 to graphics/mesa-dri: update to 18.2.6.
jbeich updated this revision to Diff 51968.Dec 13 2018, 7:44 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.6 to graphics/mesa-dri: update to 18.2.7.
jbeich updated this revision to Diff 52345.Dec 27 2018, 7:19 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.2.7 to graphics/mesa-dri: update to 18.2.8.
This revision was not accepted when it landed; it landed in state Needs Review.Jan 17 2019, 3:35 PM
This revision was automatically updated to reflect the committed changes.